# class ECNEngine

*Defined at src/network/switch/ecn_engine.h#12*

## Functions

### maybe_mark_ecn

*protected void maybe_mark_ecn(Packet & pkt)*

*Defined at src/network/switch/ecn_engine.h#23*

### process_packet

*public Packet & process_packet(Packet & pkt, SwitchBuffer * buf)*

### ~ECNEngine

*public void ~ECNEngine()*

*Defined at src/network/switch/ecn_engine.h#14*

### header_trim

*protected void header_trim(Packet & pkt, bool back_to_sender)*

*Defined at src/network/switch/ecn_engine.h#30*



